Subject: Re: question about cygwin terminal type
From: Thomas Dickey <[email-masked]>
To: Neil Zanella <[email-masked]>
Cc: Thomas Dickey <[email-masked]>, Cygwin Mailing List <[email-masked]>, ncurses <[email-masked]>
Date: Mon, 30 Oct 2000 05:01:15 -0500

On Mon, Oct 30, 2000 at 05:10:36AM -0330, Neil Zanella wrote:
> 
> On Sun, 29 Oct 2000, Thomas Dickey wrote:
> 
> > That's probably incorrect (cygwin's terminal emulator differs in several
> > features that are normally in "ansi"), and is likely done to make it simple to
> > setup on the remote host.  Just to satisfy my own curiousity I'll retest cygwin
> > against "ansi" and see if I missed anything when making that terminfo entry.
> 
> Thanks. Too bad I can't make that terminal a little bit wider. That's
> probably a limitation in Windows' shell client and I bet you they
> did it on purpose. With Win2K you can maximize it vertically but you
> still can't maximize the window horizontally.

;-)
 
> > SIGWINCH isn't related to the $TERM value (it's whether or not your
> > host supports the negotiations about window size)
> 
> Does Win2K support SIGWINCH?

I'm not sure (I'm mostly - in that line - using NT4, though we've a couple
W2K machines in the lab).  I don't see why not (on NT, the vendor's telnet
doesn't do it, but other applications such as Tera Term Pro do).

-- 
Thomas E. Dickey <[email-masked]>
http://dickey.his.com
ftp://dickey.his.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]